#!/bin/bash

tar -xzvf openssl-1.1.1l.tar.gz
cd openssl-1.1.1l
./config --prefix=/usr/local/openssl --openssldir=/usr/local/openssl shared zlib
make
make install
cp -f /root/openssl-1.1.1l/libssl.so.1.1 /usr/lib64/ || true
cp -f /root/openssl-1.1.1l/libcrypto.so.1.1 /usr/lib64/ || true

export PATH=/usr/local/openssl/bin:$PATH

ldconfig
openssl version
mv /usr/bin/openssl /usr/bin/openssl_old
mv -f /usr/local/openssl/bin/openssl /usr/bin/openssl

cd ~
tar -zxvf openssh-9.7p1.tar.gz
cd openssh-9.7p1/
./configure --prefix=/usr/local/openssh --with-ssl-dir=/usr/local/openssl  --without-openssl-header-check

make
make install

cp -r /etc/ssh /etc/ssh_backup
systemctl stop sshd
sleep 2
\cp -f /usr/local/openssh/sbin/sshd /usr/sbin/sshd
\cp -f /usr/local/openssh/bin/ssh /usr/bin/ssh
sleep 2
systemctl start sshd
